%define commit 2f9a2d07cee3

Name:       mate-tweak
Summary:    Mate desktop configuration tool
Version:    17.04.1
Release:    %mkrel 1
Source0:    https://bitbucket.org/ubuntu-mate/%{name}/get/%{version}.tar.bz2
# Extracted from https://launchpad.net/ubuntu/+archive/primary/+files/ubuntu-mate-settings_16.10.7.tar.xz
# with additions of mageia-fresh, maggy and maggy-fresh layouts
Source1:    panel-layouts.tar.xz
# Add mate-menu enabled mageia layout
License:    GPLv2+
Group:      Graphical desktop/MATE
URL:        https://bitbucket.org/ubuntu-mate/mate-tweak

Patch0:     mate-tweak-3.5.10.1-mga_install_into_libexec.patch
Patch1:     mate-tweak-17.04.1-mga-fix_applet_paths.patch
Patch2:     mate-tweak-17.04.1-mga-remove_unavailable_options.patch
Patch3:     mate-tweak-mga-maggy_layout.patch
Patch4:     mate-tweak-17.04.1-mga-guake.patch
BuildArch:  noarch

BuildRequires: python3 >= 3.0.0
BuildRequires: python3-setuptools
BuildRequires: python3-distutils-extra
BuildRequires: intltool

Requires: wmctrl
Requires: mesa-demos
Requires: python3
Requires: python3-gobject3
Requires: python3-configobj
Requires: python3-psutil
Requires: python3-setproctitle
Requires: mate-applets >= 1.16.0
Requires: mate-panel >= 1.16.0

Recommends: mate-dock-applet
Recommends: plank
Recommends: tilda
Recommends: synapse
Recommends: mate-netbook >= 1.16.0
Recommends: mate-menu
Recommends: compiz
Recommends: brisk-menu

%description
Configures some aspects of the MATE desktop not exposed via the
MATE Control Center applets.

Settings that can be handled via MATE Tweak:
 * Show/hide standard desktop icons.
 * Panel fine-tuning (icon visibility, in menus and on buttons,
   icon size, button labelling, contex menus, etc.).
 * Window manager fine-tuning.

%prep
%autosetup -n ubuntu-mate-%{name}-%{commit} -p1 -a 1

# We don't provide xdg-su. Change it to use polkit.
sed -i "s|'xdg-su', '-c |'pkexec', '|g" %{name}
sed -i '/polkit/d' setup.py

# Change installat location to libexec
for i in "mate-tweak data/org.mate.mate-tweak.policy"; do
    sed -i "s|/usr/lib/mate-tweak|/usr/libexec/mate-tweak|g" $i
done

%build
%{py3_build}

%install
%{py3_install}

# Install panel layouts:
mkdir -p %{buildroot}%{_datadir}/mate-panel/layouts
cp -f panel-layouts/*.layout %{buildroot}%{_datadir}/mate-panel/layouts/

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%{_bindir}/mate-tweak
%{_bindir}/marco-compton
%{_bindir}/marco-no-composite
%{_bindir}/metacity-compton
%{_bindir}/metacity-no-composite
%{_bindir}/marco-xcompmgr
%{_bindir}/metacity-xcompmgr
%{_datadir}/mate-tweak/
%{_datadir}/applications/mate-tweak.desktop
%{_datadir}/mate/applications/*.desktop
%{_datadir}/mate-panel/layouts/
%{_mandir}/man1/mate-tweak.1*
%{_mandir}/man1/marco-compton.1*
%{_mandir}/man1/marco-no-composite.1*
%{_mandir}/man1/metacity-compton.1*
%{_mandir}/man1/metacity-no-composite.1*
%{_libexecdir}/mate-tweak/
%{python3_sitelib}/*egg-info


%changelog
* Thu Mar 16 2017 tarakbumba <tarakbumba> 17.04.1-1.mga6
+ Revision: 1093136
- Update to 17.04.1 version
- Added extra panel layouts to choose from

* Sat Dec 24 2016 wally <wally> 3.5.10.1-1.mga6
+ Revision: 1077191
- new version 3.5.10.1
- rediff patches

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Nov 27 2015 tarakbumba <tarakbumba> 3.5.2b-0.git20151125.1.mga6
+ Revision: 906429
- imported package mate-tweak

